﻿﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Blazor_sample.Data
{
    public class ScheduleData
    {
        private int CurrentYear = DateTime.Now.Year;
        public List<HospitalData> GetHospitalData()
        {
            List<HospitalData> hospitalData = new List<HospitalData>();
            hospitalData.Add(new HospitalData
            {
                Id = 10,
                Name = "David",
                StartTime = new DateTime(CurrentYear, 1, 6, 9, 0, 0),
                EndTime = new DateTime(CurrentYear, 1, 6, 10, 0, 0),
                Description = "Health Checkup",
                DepartmentID = 1,
                ConsultantID = 1,
                DepartmentName = "GENERAL"
            });
            hospitalData.Add(new HospitalData
            {
                Id = 11,
                Name = "John",
                StartTime = new DateTime(CurrentYear, 1, 6, 10, 30, 0),
                EndTime = new DateTime(CurrentYear, 1, 6, 11, 30, 0),
                Description = "Tooth Erosion",
                DepartmentID = 2,
                ConsultantID = 2,
                DepartmentName = "DENTAL"
            });
            hospitalData.Add(new HospitalData
            {
                Id = 12,
                Name = "Peter",
                StartTime = new DateTime(CurrentYear, 1, 6, 12, 0, 0),
                EndTime = new DateTime(CurrentYear, 1, 6, 13, 0, 0),
                Description = "Eye and Spectacles Checkup",
                DepartmentID = 1,
                ConsultantID = 3,
                DepartmentName = "GENERAL"
            });
            hospitalData.Add(new HospitalData
            {
                Id = 13,
                Name = "Starc",
                StartTime = new DateTime(CurrentYear, 1, 6, 14, 0, 0),
                EndTime = new DateTime(CurrentYear, 1, 6, 15, 0, 0),
                Description = "Toothaches",
                DepartmentID = 2,
                ConsultantID = 4,
                DepartmentName = "DENTAL"
            });
            hospitalData.Add(new HospitalData
            {
                Id = 14,
                Name = "James",
                StartTime = new DateTime(CurrentYear, 1, 6, 10, 0, 0),
                EndTime = new DateTime(CurrentYear, 1, 6, 11, 0, 0),
                Description = "Surgery Appointment",
                DepartmentID = 1,
                ConsultantID = 5,
                DepartmentName = "GENERAL"
            });
            hospitalData.Add(new HospitalData
            {
                Id = 15,
                Name = "Jercy",
                StartTime = new DateTime(CurrentYear, 1, 6, 9, 30, 0),
                EndTime = new DateTime(CurrentYear, 1, 6, 10, 30, 0),
                Description = "Tooth Sensitivity",
                DepartmentID = 2,
                ConsultantID = 6,
                DepartmentName = "DENTAL"
            });
            hospitalData.Add(new HospitalData
            {
                Id = 16,
                Name = "Albert",
                StartTime = new DateTime(CurrentYear, 1, 7, 10, 0, 0),
                EndTime = new DateTime(CurrentYear, 1, 7, 11, 30, 0),
                Description = "Skin care treatment",
                DepartmentID = 1,
                ConsultantID = 7,
                DepartmentName = "GENERAL"
            });
            hospitalData.Add(new HospitalData
            {
                Id = 17,
                Name = "Louis",
                StartTime = new DateTime(CurrentYear, 1, 7, 12, 30, 0),
                EndTime = new DateTime(CurrentYear, 1, 7, 13, 30, 0),
                Description = "General Checkup",
                DepartmentID = 1,
                ConsultantID = 9,
                DepartmentName = "DENTAL"
            });
            hospitalData.Add(new HospitalData
            {
                Id = 18,
                Name = "Williams",
                StartTime = new DateTime(CurrentYear, 1, 7, 12, 0, 0),
                EndTime = new DateTime(CurrentYear, 1, 7, 14, 0, 0),
                Description = "Mouth Sores",
                DepartmentID = 2,
                ConsultantID = 10,
                DepartmentName = "DENTAL"
            });
            hospitalData.Add(new HospitalData
            {
                Id = 19,
                Name = "David",
                StartTime = new DateTime(CurrentYear, 1, 7, 16, 30, 0),
                EndTime = new DateTime(CurrentYear, 1, 7, 18, 45, 0),
                Description = "Eye checkup and Treatment",
                DepartmentID = 1,
                ConsultantID = 1,
                DepartmentName = "GENERAL"
            });
            hospitalData.Add(new HospitalData
            {
                Id = 20,
                Name = "John",
                StartTime = new DateTime(CurrentYear, 1, 7, 19, 30, 0),
                EndTime = new DateTime(CurrentYear, 1, 7, 21, 45, 0),
                Description = "Tooth Decay",
                DepartmentID = 2,
                ConsultantID = 2,
                DepartmentName = "DENTAL"
            });
            return hospitalData;
        }

        public List<HospitalData> GetWaitingListData()
        {
            List<HospitalData> waitingData = new List<HospitalData>();
            waitingData.Add(new HospitalData
            {
                Id = 1,
                Name = "Steven",
                StartTime = new DateTime(CurrentYear, 1, 3, 7, 30, 0),
                EndTime = new DateTime(CurrentYear, 1, 3, 9, 30, 0),
                Description = "Consulting",
                DepartmentName = "GENERAL",
                CategoryColor = "red"
            });
            waitingData.Add(new HospitalData
            {
                Id = 2,
                Name = "Milan",
                StartTime = new DateTime(CurrentYear, 1, 4, 8, 30, 0),
                EndTime = new DateTime(CurrentYear, 1, 4, 10, 30, 0),
                Description = "Bad Breath",
                DepartmentName = "DENTAL",
                CategoryColor = "yellow"
            });
            waitingData.Add(new HospitalData
            {
                Id = 3,
                Name = "Laura",
                StartTime = new DateTime(CurrentYear, 1, 4, 9, 30, 0),
                EndTime = new DateTime(CurrentYear, 1, 4, 10, 30, 0),
                Description = "Extraction",
                DepartmentName = "GENERAL",
                CategoryColor = "green"
            });
            waitingData.Add(new HospitalData
            {
                Id = 4,
                Name = "Janet",
                StartTime = new DateTime(CurrentYear, 1, 3, 11, 0, 0),
                EndTime = new DateTime(CurrentYear, 1, 3, 12, 30, 0),
                Description = "Gum Disease",
                DepartmentName = "DENTAL",
                CategoryColor = "blue"
            });
            waitingData.Add(new HospitalData
            {
                Id = 5,
                Name = "Adams",
                StartTime = new DateTime(CurrentYear, 1, 3, 11, 0, 0),
                EndTime = new DateTime(CurrentYear, 1, 3, 12, 30, 0),
                Description = "Observation",
                DepartmentName = "GENERAL",
                CategoryColor = "orange"
            });
            waitingData.Add(new HospitalData
            {
                Id = 6,
                Name = "John",
                StartTime = new DateTime(CurrentYear, 1, 3, 11, 30, 0),
                EndTime = new DateTime(CurrentYear, 1, 3, 12, 30, 0),
                Description = "Mouth Sores",
                DepartmentName = "DENTAL",
                CategoryColor = "brown"
            });
            return waitingData;
        }

        public class AppointmentData
        {
            public int Id { get; set; }
            public string Subject { get; set; }
            public string Location { get; set; }
            public string Description { get; set; }
            public DateTime StartTime { get; set; }
            public DateTime EndTime { get; set; }
            public Nullable<bool> IsAllDay { get; set; }
            public string CategoryColor { get; set; }
            public string RecurrenceRule { get; set; }
            public Nullable<int> RecurrenceID { get; set; }
            public Nullable<int> FollowingID { get; set; }
            public string RecurrenceException { get; set; }
            public string StartTimezone { get; set; }
            public string EndTimezone { get; set; }
        }
        public class HospitalData : AppointmentData
        {
            public string Name { get; set; }
            public int DepartmentID { get; set; }
            public int ConsultantID { get; set; }
            public string DepartmentName { get; set; }
        }
    }
}
